%define version 0.3.5
%define release 1mdk
%define name wmwebcam
%define title WmWebcam 

Summary:    Watch your own webcam in a small dockapp window
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Toys
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://fragment.stc.cx/?abd
Requires:	XFree86-libs,  , libjpeg
BuildRequires:	XFree86-devel, , libjpeg-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description

This is for watching your webcam which has a video4linux driver in your
windowmakers dock..
This is actually just a edited version of vidcat (from w3cam's package)
Default jpeg output file is /tmp/wmwebcam.jpg and default quality is 100%,
change the default values if necessary from the source code.
Also remember to check the wmwebcam.pl and edit it

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
 
%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 {wmwebcam,wmwebcam.pl} $RPM_BUILD_ROOT/usr/X11R6/bin/

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOIf %SOURCE1 16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOIf %SOURCE1 32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOIf %SOURCE1 48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name}" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="%{title}"\\
                 longtitle="Watch your own webcam in a small dockapp window"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}

%files
%defattr (-,root,root)
%doc README Changelog COPYING
%{prefix}/bin/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Thu May 31 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.3.5-1mdk
- first mandrake package
- based on numerous specfile from "the top creamy hacker" viet ;)


